For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create product warranty terms

Create new product warranty terms.

Required permissions: WARRANTY

post
/tenants/{tenantUid}/product-warranties
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
productWarrantyUidstringOptionalPattern: ^[A-Za-z0-9-_]*
namestringOptional
termsstringRequired
Responses
201

Example response

application/json
productWarrantyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
termsstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/product-warranties
POST /v2/tenants/{tenantUid}/product-warranties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "productWarrantyUid": "text",
  "name": "text",
  "terms": "text"
}
201

Example response

{
  "productWarrantyUid": "text",
  "name": "text",
  "terms": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?